ServerEvents.recipes((event) => {
  //Helper function
  function haunting(input, output) {
    event.custom({
      type: 'create:haunting',
      ingredients: [{ item: input }],
      results: [{ item: output, count: 1, id: output }],
    });
  }

  haunting('farmersdelight:organic_compost', 'mynethersdelight:letios_compost');
  haunting('minecraft:bamboo', 'mynethersdelight:powder_cannon');
  haunting('minecraft:bamboo_block', 'mynethersdelight:powdery_block');
  haunting('minecraft:stripped_bamboo_block', 'mynethersdelight:stripped_powdery_block');
  haunting('farmersdelight:brown_mushroom_colony', 'mynethersdelight:warped_fungus_colony');
  haunting('farmersdelight:red_mushroom_colony', 'mynethersdelight:crimson_fungus_colony');
  haunting('farmersdelight:stove', 'mynethersdelight:nether_bricks_stove');
  haunting('forbidden_arcanus:rune', 'forbidden_arcanus:dark_rune');
  haunting('forbidden_arcanus:arcane_crystal', 'forbidden_arcanus:corrupted_arcane_crystal');
  haunting('forbidden_arcanus:arcane_crystal_block', 'forbidden_arcanus:corrupted_arcane_crystal_block');
  haunting('forbidden_arcanus:soul', 'forbidden_arcanus:corrupt_soul');
  haunting('forbidden_arcanus:arcane_crystal_obelisk', 'forbidden_arcanus:corrupted_arcane_crystal_obelisk');
});
